

#ifndef I2C_H__
#define I2C_H__

#include <stdint.h>
#include <stdbool.h>
//#include "ble.h"
//#include "ble_srv_common.h"
#include "sdk_errors.h"

void twi_init (void);
void twi_low_power(void);
void twi_disable(void);
ret_code_t twi_write_read(uint8_t addr, uint8_t subaddr[], uint8_t subaddr_len, uint8_t data_read[], uint8_t data_len);
ret_code_t twi_read_only(uint8_t addr, uint8_t data_read[], uint8_t data_len);
ret_code_t twi_write(uint8_t addr, uint8_t subaddr_and_data[], uint8_t len);

#endif //I2C_H__
